Redmine - Feature #16862

Only after log out, Redmine should redirect to login page instead of public page
2014-05-13 08:52 - Lajish Lakshmanan

Status: Closed Start date:

Priority: Normal Due date: 2014-05-29
Assignee: % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour

Target version:

Resolution: Wont fix

Description

While logging out from redmine, it should redirects to login page just like google email works. But if user visits Redmine link for first
time after opening web browser for first time, then it should behaves as it is.

History

#1 - 2014-05-15 12:46 - Jan Niggemann (redmine.org team member)
- Due date set to 2014-05-29

- Status changed from New to Needs feedback

Before submitting a bug report, please read SubmittingBugs to make sure that you provide all the required information.

What version are you using? Please provide more information.

While logging out from redmine, it should redirects to login page

My 2.4.2 does exactly that...

#2 - 2014-05-15 15:28 - Lajish Lakshmanan

I am using 2.5.1, what | meant was, after clicking Sign Out, redmine should get redirected to Sign In page. | don't know whether it is possible or not
for you people. But you can observe this requested behavior based on browser cookies after sign out from Gmail account.

#3 - 2014-05-16 23:10 - Jan Niggemann (redmine.org team member)

after clicking Sign Out, redmine should get redirected to Sign In page

It does exactly that, like | stated above. It also does on my 2.5.1 instance...
Sorry, | can't reproduce your described behaviour (i.e. that it does not redirect)...
#4 - 2014-05-19 05:21 - Lajish Lakshmanan

Jan Niggemann (redmine.org team member) wrote:

after clicking Sign Out, redmine should get redirected to Sign In page

It does exactly that, like | stated above. It also does on my 2.5.1 instance...

Sorry, | can't reproduce your described behaviour (i.e. that it does not redirect)...

Okay Jan, do one thing, please follow these steps.....
1. www.redmine.org

2. Click on 'Sign In' link

3. Login to redmine

4. Then navigate to any link (say 'Wiki")

5. Then click sign out
6. Now check whether you are redirected to sign in page or you are still at Wiki page

#5 - 2014-05-22 23:47 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to New

You're right, | can reproduce this on redmine.org... (which uses 2.5.1 devel btw).

#6 - 2024-10-23 12:37 - Holger Just
- Status changed from New to Closed

- Resolution set to Wont fix

If your Redmine is configured to always require authentication in Administration -> Settings -> Authentication -> Authentication required, then
there will be no public content and users will be redirected to the login page as required.

If the Redmine is configured to allow anonymous access to (some) projects, it is quite reasonable to allow anonymous access to these public pages
after login. This is the case on https://www.redmine.org. On GMail, they use a behavior similar to Redmine required authentication, as anonymous
access to your emails is not desired.

Thus, if you want to always require a login AND to redirect the user to the login page after logout, you can enforce authentication with the above
mentioned setting.

2025-05-09 22


https://www.redmine.org
http://www.tcpdf.org

